Subject: Re: bug#18495: Alternatives!?!

From: Mark H Weaver <[email-masked]>
Date: Sat, 20 Sep 2014 08:42:49 -0400

David Kastrup <[email-masked]> writes:

> * libguile/smob.h (SCM_SMOB_OBJECT_LOC, SCM_SMOB_OBJECT_0_LOC)
>   (SCM_SMOB_OBJECT_1_LOC, SCM_SMOB_OBJECT_2_LOC)
>   (SCM_SMOB_OBJECT_3_LOC):  These elementary API macros have been broken
>   by commit 56164dc47f6616b359f0ad23be208f01a77b55fa in 2009

Ouch.  I've pushed this to stable-2.0, commit
8442211ef0029581b35f784489afcf210491fc41.  I'm closing this bug.

> will there be something like an official guarantee that using
> the undocumented SCM_SMOB_OBJECT_N_LOC will be supported for several
> years?

I think that's the best option.  Just use SCM_SMOB_OBJECT_N_LOC.

     Mark